> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/43.-foresporgsel-hent-fields.md).

# 43. Forespørgsel: Hent "Fields"

Forespørgsel for at hente brugerens "Fields" med filtre efter `etiketter`, `farmUuid`, `fieldUuid`, `feltnavn`. De returnerede felter i alfabetisk rækkefølge efter feltnavn.&#x20;

Feltfilteret fungerer som EN OG-betingelse, f.eks. muligt at filtrere efter `farmUuid` og efter `fieldUuid` og efter `etiketter` og efter `feltnavn` i den ene forespørgsel eller bruge kun én filterbetingelse eller ikke bruge nogen betingelse.&#x20;

Filtrer efter `feltnavn` fungerer som `begynder_med`.&#x20;

For at implementere pagineringslogik, brug forespørgselsparameteren `sideStørrelse`. Der er `sidstEvalueretNøgle` og `samletAntal` i svaret, hvor `sidstEvalueretNøgle` henviser til den sidst behandlede post, der matcher filterbetingelsen, og `samletAntal` er det samlede antal poster, der matcher filtreringsbetingelserne.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
forespørgsel FilterFields {
  hentFelter(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      etiketter: [{ navn: "name1", værdi: "value1" }]
      sideStørrelse: 2
      sidstEvalueretNøgle: {
        SorteringsNøgle: "<some_key>"
        PartitionsNøgle: "<some_key>"
        TagStreng: "<some_key>"
      }
      feltnavn: "Eksempel"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      navn
      labels {
        navn
        value
      }
      samletAntal
    }
    sidstEvalueretNøgle {
      SorteringsNøgle
      PartitionsNøgle
      TagStreng
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/43.-foresporgsel-hent-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
